org.eclnt.jsfserver.elements.componentnodes

## Class ROWWORKPLACENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWWORKPLACENode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWWORKPLACENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWWORKPLACENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWWORKPLACENode` | `bindAnimationtype(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindDividersize(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindFunctiontreestylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindWpcloseimage(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindWppopupimage(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindWppopupmenu(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `bindWpselectorposition(IDynamicContentBindingObject value)`
    `ROWWORKPLACENode` | `setAnimationtype(java.lang.String value)`
    `ROWWORKPLACENode` | `setComment(java.lang.String value)`
    `ROWWORKPLACENode` | `setConfiginfo(java.lang.String value)`
    `ROWWORKPLACENode` | `setDividersize(java.lang.String value)`
    `ROWWORKPLACENode` | `setFunctiontreestylevariant(java.lang.String value)`
    `ROWWORKPLACENode` | `setId(java.lang.String value)`
    `ROWWORKPLACENode` | `setObjectbinding(java.lang.String value)`
    `ROWWORKPLACENode` | `setRendered(boolean value)`
    `ROWWORKPLACENode` | `setRendered(java.lang.String value)`
    `ROWWORKPLACENode` | `setStylevariant(java.lang.String value)`
    `ROWWORKPLACENode` | `setWpcloseimage(java.lang.String value)`
    `ROWWORKPLACENode` | `setWppopupimage(java.lang.String value)`
    `ROWWORKPLACENode` | `setWppopupmenu(java.lang.String value)`
    `ROWWORKPLACENode` | `setWpselectorposition(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWWORKPLACENode

          public ROWWORKPLACENode()

  - ### Method Detail

    - #### setId

          public ROWWORKPLACENode setId(java.lang.String value)

    - #### setAnimationtype

          public ROWWORKPLACENode setAnimationtype(java.lang.String value)

    - #### bindAnimationtype

          public ROWWORKPLACENode bindAnimationtype(IDynamicContentBindingObject value)

    - #### setComment

          public ROWWORKPLACENode setComment(java.lang.String value)

    - #### bindComment

          public ROWWORKPLACENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWWORKPLACENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWWORKPLACENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDividersize

          public ROWWORKPLACENode setDividersize(java.lang.String value)

    - #### bindDividersize

          public ROWWORKPLACENode bindDividersize(IDynamicContentBindingObject value)

    - #### setFunctiontreestylevariant

          public ROWWORKPLACENode setFunctiontreestylevariant(java.lang.String value)

    - #### bindFunctiontreestylevariant

          public ROWWORKPLACENode bindFunctiontreestylevariant(IDynamicContentBindingObject value)

    - #### setObjectbinding

          public ROWWORKPLACENode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public ROWWORKPLACENode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPLACENode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWWORKPLACENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPLACENode setRendered(boolean value)

    - #### setStylevariant

          public ROWWORKPLACENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWWORKPLACENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWpcloseimage

          public ROWWORKPLACENode setWpcloseimage(java.lang.String value)

    - #### bindWpcloseimage

          public ROWWORKPLACENode bindWpcloseimage(IDynamicContentBindingObject value)

    - #### setWppopupimage

          public ROWWORKPLACENode setWppopupimage(java.lang.String value)

    - #### bindWppopupimage

          public ROWWORKPLACENode bindWppopupimage(IDynamicContentBindingObject value)

    - #### setWppopupmenu

          public ROWWORKPLACENode setWppopupmenu(java.lang.String value)

    - #### bindWppopupmenu

          public ROWWORKPLACENode bindWppopupmenu(IDynamicContentBindingObject value)

    - #### setWpselectorposition

          public ROWWORKPLACENode setWpselectorposition(java.lang.String value)

    - #### bindWpselectorposition

          public ROWWORKPLACENode bindWpselectorposition(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.